
Redmine - Defect #28469

Syntax highlighter does not work if language name is single-quoted

2018-03-30 09:09 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 3.3.8   

Resolution: Fixed Affected version:  

Description

Please see the screenshot below. Syntax highlighter does not work if "Text formatting" is set to "Textile" and the language name is

enclosed by single quotation marks. The Textile formatter should accept single quotation marks as well as double quotation marks.

 

Related issues:

Has duplicate Redmine - Defect #14443: Property class in <code> inside <pre> ... Closed

Associated revisions

Revision 17322 - 2018-05-02 04:27 - Go MAEDA

Fix: Syntax highlighter does not work if language name is single-quoted (#28469).

Patch by Mizuki ISHIKAWA.

Revision 17323 - 2018-05-02 04:29 - Go MAEDA

Merged r17322 from trunk to 3.4-stable (#28469).

Revision 17324 - 2018-05-02 04:30 - Go MAEDA

Merged r17322 from trunk to 3.3-stable (#28469).

History

#1 - 2018-04-16 01:59 - Mizuki ISHIKAWA

- File add-single-quoted.patch added

I think it is natural to use single quotes.

I wrote a patch to fix this defect.
#2 - 2018-04-17 07:41 - Marius BĂLTEANU

Mizuki ISHIKAWA wrote:

I think it is natural to use single quotes.

I wrote a patch to fix this defect.

 I would recommend to add a tests for this single quotes case.

#3 - 2018-04-24 06:50 - Mizuki ISHIKAWA

- File add-single-quoted-2.patch added

Marius BALTEANU wrote:

Mizuki ISHIKAWA wrote:

I think it is natural to use single quotes.

I wrote a patch to fix this defect.

 I would recommend to add a tests for this single quotes case.

 I forgot to write a test.

I appreciate your advice.

This is the patch that added the test.

#4 - 2018-04-30 04:46 - Go MAEDA

- Target version set to 3.3.8

LGTM. Setting target version to 3.3.8.

#5 - 2018-05-02 04:31 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed to the trunk and stable branches. Thank you for fixing this issue.

#6 - 2018-07-01 04:40 - Go MAEDA

- Has duplicate Defect #14443: Property class in <code> inside <pre> does not accept a single quotes added

Files

screenshot@2x.png 22.7 KB 2018-03-30 Go MAEDA

add-single-quoted.patch 695 Bytes 2018-04-15 Mizuki ISHIKAWA

add-single-quoted-2.patch 1.54 KB 2018-04-24 Mizuki ISHIKAWA
